PluginAstReader (Grails 6.0.0)

Package: org.grails.compiler.injection

## [Java] Class PluginAstReader

- org.grails.compiler.injection.PluginAstReader

-     class PluginAstReader
      extends java.lang.Object

  Reads plugin info from the AST

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `class` | `PluginAstReader.BasicGrailsPluginInfo` | Simple Javabean implementation of the GrailsPluginInfo interface.

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private PluginAstReader.BasicGrailsPluginInfo` | `pluginInfo` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PluginAstReader ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `GrailsPluginInfo` | `getPluginInfo()`
    `` | `protected org.codehaus.groovy.control.SourceUnit` | `getSourceUnit()`
    `` | `public GrailsPluginInfo` | `readPluginInfo(org.codehaus.groovy.ast.ClassNode classNode)`
    `` | `protected void` | `visitContents(java.lang.String className, org.codehaus.groovy.ast.ClassNode classNode)`
    `` | `public void` | `visitProperty(org.codehaus.groovy.ast.PropertyNode node)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private PluginAstReader.BasicGrailsPluginInfo pluginInfo

  - ### Constructor Detail

    - #### public PluginAstReader()

  - ### Method Detail

    - #### GrailsPluginInfo getPluginInfo()

    - #### @java.lang.Override protected org.codehaus.groovy.control.SourceUnit getSourceUnit()

    - #### public GrailsPluginInfo readPluginInfo(org.codehaus.groovy.ast.ClassNode classNode)

    - #### protected void visitContents(java.lang.String className, org.codehaus.groovy.ast.ClassNode classNode)

    - #### @java.lang.Override public void visitProperty(org.codehaus.groovy.ast.PropertyNode node)